Loading...
Searching...
No Matches
dvarput.c File Reference

Functions for writing data to variables. More...

`#include "ncdispatch.h"`
Include dependency graph for dvarput.c:

Go to the source code of this file.

## Functions

static int | NC_put_var (int ncid, int varid, const void *value, nc_type memtype)
static int | NC_put_var1 (int ncid, int varid, const size_t *coord, const void *value, nc_type memtype)
static int | NC_put_vara (int ncid, int varid, const size_t *start, const size_t *edges, const void *value, nc_type memtype)
static int | NC_put_varm (int ncid, int varid, const size_t *start, const size_t *edges, const ptrdiff_t *stride, const ptrdiff_t *map, const void *value, nc_type memtype)
static int | NC_put_vars (int ncid, int varid, const size_t *start, const size_t *edges, const ptrdiff_t *stride, const void *value, nc_type memtype)
int | NCDEFAULT_put_varm (int ncid, int varid, const size_t *start, const size_t *edges, const ptrdiff_t *stride, const ptrdiff_t *imapp, const void *value0, nc_type memtype)
int | NCDEFAULT_put_vars (int ncid, int varid, const size_t *start, const size_t *edges, const ptrdiff_t *stride, const void *value0, nc_type memtype)
static void | odom_init (struct PUTodometer *odom, int rank, const size_t *start, const size_t *edges, const ptrdiff_t *stride)
static int | odom_more (struct PUTodometer *odom)
static int | odom_next (struct PUTodometer *odom)
Writing Data to Variables
Functions to write data from variables.
int | nc_put_vara (int ncid, int varid, const size_t *startp, const size_t *countp, const void *op)
| Write an array of values to a variable.
int | nc_put_vara_double (int ncid, int varid, const size_t *startp, const size_t *countp, const double *op)
| Write an array of values to a variable.
int | nc_put_vara_float (int ncid, int varid, const size_t *startp, const size_t *countp, const float *op)
| Write an array of values to a variable.
int | nc_put_vara_int (int ncid, int varid, const size_t *startp, const size_t *countp, const int *op)
| Write an array of values to a variable.
int | nc_put_vara_long (int ncid, int varid, const size_t *startp, const size_t *countp, const long *op)
| Write an array of values to a variable.
int | nc_put_vara_longlong (int ncid, int varid, const size_t *startp, const size_t *countp, const long long *op)
| Write an array of values to a variable.
int | nc_put_vara_schar (int ncid, int varid, const size_t *startp, const size_t *countp, const signed char *op)
| Write an array of values to a variable.
int | nc_put_vara_short (int ncid, int varid, const size_t *startp, const size_t *countp, const short *op)
| Write an array of values to a variable.
int | nc_put_vara_string (int ncid, int varid, const size_t *startp, const size_t *countp, const char **op)
| Write an array of values to a variable.
int | nc_put_vara_text (int ncid, int varid, const size_t *startp, const size_t *countp, const char *op)
| Write an array of values to a variable.
int | nc_put_vara_ubyte (int ncid, int varid, const size_t *startp, const size_t *countp, const unsigned char *op)
| Write an array of values to a variable.
int | nc_put_vara_uchar (int ncid, int varid, const size_t *startp, const size_t *countp, const unsigned char *op)
| Write an array of values to a variable.
int | nc_put_vara_uint (int ncid, int varid, const size_t *startp, const size_t *countp, const unsigned int *op)
| Write an array of values to a variable.
int | nc_put_vara_ulonglong (int ncid, int varid, const size_t *startp, const size_t *countp, const unsigned long long *op)
| Write an array of values to a variable.
int | nc_put_vara_ushort (int ncid, int varid, const size_t *startp, const size_t *countp, const unsigned short *op)
| Write an array of values to a variable.
int | nc_put_var1 (int ncid, int varid, const size_t *indexp, const void *op)
| Write one datum.
int | nc_put_var1_double (int ncid, int varid, const size_t *indexp, const double *op)
| Write one datum.
int | nc_put_var1_float (int ncid, int varid, const size_t *indexp, const float *op)
| Write one datum.
int | nc_put_var1_int (int ncid, int varid, const size_t *indexp, const int *op)
| Write one datum.
int | nc_put_var1_long (int ncid, int varid, const size_t *indexp, const long *op)
| Write one datum.
int | nc_put_var1_longlong (int ncid, int varid, const size_t *indexp, const long long *op)
| Write one datum.
int | nc_put_var1_schar (int ncid, int varid, const size_t *indexp, const signed char *op)
| Write one datum.
int | nc_put_var1_short (int ncid, int varid, const size_t *indexp, const short *op)
| Write one datum.
int | nc_put_var1_string (int ncid, int varid, const size_t *indexp, const char **op)
| Write one datum.
int | nc_put_var1_text (int ncid, int varid, const size_t *indexp, const char *op)
| Write one datum.
int | nc_put_var1_ubyte (int ncid, int varid, const size_t *indexp, const unsigned char *op)
| Write one datum.
int | nc_put_var1_uchar (int ncid, int varid, const size_t *indexp, const unsigned char *op)
| Write one datum.
int | nc_put_var1_uint (int ncid, int varid, const size_t *indexp, const unsigned int *op)
| Write one datum.
int | nc_put_var1_ulonglong (int ncid, int varid, const size_t *indexp, const unsigned long long *op)
| Write one datum.
int | nc_put_var1_ushort (int ncid, int varid, const size_t *indexp, const unsigned short *op)
| Write one datum.
int | nc_put_var (int ncid, int varid, const void *op)
| Write an entire variable with one call.
int | nc_put_var_double (int ncid, int varid, const double *op)
| Write an entire variable with one call.
int | nc_put_var_float (int ncid, int varid, const float *op)
| Write an entire variable with one call.
int | nc_put_var_int (int ncid, int varid, const int *op)
| Write an entire variable with one call.
int | nc_put_var_long (int ncid, int varid, const long *op)
| Write an entire variable with one call.
int | nc_put_var_longlong (int ncid, int varid, const long long *op)
| Write an entire variable with one call.
int | nc_put_var_schar (int ncid, int varid, const signed char *op)
| Write an entire variable with one call.
int | nc_put_var_short (int ncid, int varid, const short *op)
| Write an entire variable with one call.
int | nc_put_var_string (int ncid, int varid, const char **op)
| Write an entire variable with one call.
int | nc_put_var_text (int ncid, int varid, const char *op)
| Write an entire variable with one call.
int | nc_put_var_ubyte (int ncid, int varid, const unsigned char *op)
| Write an entire variable with one call.
int | nc_put_var_uchar (int ncid, int varid, const unsigned char *op)
| Write an entire variable with one call.
int | nc_put_var_uint (int ncid, int varid, const unsigned int *op)
| Write an entire variable with one call.
int | nc_put_var_ulonglong (int ncid, int varid, const unsigned long long *op)
| Write an entire variable with one call.
int | nc_put_var_ushort (int ncid, int varid, const unsigned short *op)
| Write an entire variable with one call.
int | nc_put_vars (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const void *op)
| Write a strided array of values to a variable.
int | nc_put_vars_double (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const double *op)
| Write a strided array of values to a variable.
int | nc_put_vars_float (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const float *op)
| Write a strided array of values to a variable.
int | nc_put_vars_int (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const int *op)
| Write a strided array of values to a variable.
int | nc_put_vars_long (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const long *op)
| Write a strided array of values to a variable.
int | nc_put_vars_longlong (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const long long *op)
| Write a strided array of values to a variable.
int | nc_put_vars_schar (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const signed char *op)
| Write a strided array of values to a variable.
int | nc_put_vars_short (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const short *op)
| Write a strided array of values to a variable.
int | nc_put_vars_string (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const char **op)
| Write a strided array of values to a variable.
int | nc_put_vars_text (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const char *op)
| Write a strided array of values to a variable.
int | nc_put_vars_ubyte (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const unsigned char *op)
| Write a strided array of values to a variable.
int | nc_put_vars_uchar (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const unsigned char *op)
| Write a strided array of values to a variable.
int | nc_put_vars_uint (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const unsigned int *op)
| Write a strided array of values to a variable.
int | nc_put_vars_ulonglong (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const unsigned long long *op)
| Write a strided array of values to a variable.
int | nc_put_vars_ushort (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const unsigned short *op)
| Write a strided array of values to a variable.
int | nc_put_varm (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const void *op)
| Write a mapped array of values to a variable.
int | nc_put_varm_double (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const double *op)
| Write a mapped array of values to a variable.
int | nc_put_varm_float (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const float *op)
| Write a mapped array of values to a variable.
int | nc_put_varm_int (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const int *op)
| Write a mapped array of values to a variable.
int | nc_put_varm_long (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const long *op)
| Write a mapped array of values to a variable.
int | nc_put_varm_longlong (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const long long *op)
| Write a mapped array of values to a variable.
int | nc_put_varm_schar (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const signed char *op)
| Write a mapped array of values to a variable.
int | nc_put_varm_short (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const short *op)
| Write a mapped array of values to a variable.
int | nc_put_varm_string (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const char **op)
| Write a mapped array of values to a variable.
int | nc_put_varm_text (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const char *op)
| Write a mapped array of values to a variable.
int | nc_put_varm_ubyte (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const unsigned char *op)
| Write a mapped array of values to a variable.
int | nc_put_varm_uchar (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const unsigned char *op)
| Write a mapped array of values to a variable.
int | nc_put_varm_uint (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const unsigned int *op)
| Write a mapped array of values to a variable.
int | nc_put_varm_ulonglong (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const unsigned long long *op)
| Write a mapped array of values to a variable.
int | nc_put_varm_ushort (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, const unsigned short *op)
| Write a mapped array of values to a variable.

## Detailed Description

Functions for writing data to variables.

Copyright 2018 University Corporation for Atmospheric Research/Unidata. See COPYRIGHT file for more info.

Definition in file dvarput.c.

## Function Documentation

## NC_put_var()

int NC_put_var | ( | int | ncid,
|  | int | varid,
|  | const void * | value,
|  | nc_type | memtype )

static

Definition at line 106 of file dvarput.c.

## NC_put_var1()

int NC_put_var1 | ( | int | ncid,
|  | int | varid,
|  | const size_t * | coord,
|  | const void * | value,
|  | nc_type | memtype )

static

Definition at line 121 of file dvarput.c.

## NC_put_vara()

int NC_put_vara | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | edges,
|  | const void * | value,
|  | nc_type | memtype )

static

Definition at line 84 of file dvarput.c.

## NC_put_varm()

int NC_put_varm | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | edges,
|  | const ptrdiff_t * | stride,
|  | const ptrdiff_t * | map,
|  | const void * | value,
|  | nc_type | memtype )

static

Definition at line 559 of file dvarput.c.

## NC_put_vars()

int NC_put_vars | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | edges,
|  | const ptrdiff_t * | stride,
|  | const void * | value,
|  | nc_type | memtype )

static

Definition at line 530 of file dvarput.c.

## NCDEFAULT_put_varm()

int NCDEFAULT_put_varm | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | edges,
|  | const ptrdiff_t * | stride,
|  | const ptrdiff_t * | imapp,
|  | const void * | value0,
|  | nc_type | memtype )

Definition at line 300 of file dvarput.c.

## NCDEFAULT_put_vars()

int NCDEFAULT_put_vars | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | edges,
|  | const ptrdiff_t * | stride,
|  | const void * | value0,
|  | nc_type | memtype )

Definition at line 131 of file dvarput.c.

## odom_init()

void odom_init | ( | struct PUTodometer * | odom,
|  | int | rank,
|  | const size_t * | start,
|  | const size_t * | edges,
|  | const ptrdiff_t * | stride )

static

Definition at line 30 of file dvarput.c.

## odom_more()

int odom_more | ( | struct PUTodometer * | odom | ) |

static

Definition at line 54 of file dvarput.c.

## odom_next()

int odom_next | ( | struct PUTodometer * | odom | ) |

static

Definition at line 67 of file dvarput.c.